
QGIS Application - Bug report #20032

Attributes Form gives Wrong value for $area

2018-10-05 07:29 PM - Lene Fischer

Status: Closed

Priority: High

Assignee:

Category: Forms

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27854

Description

Using Geopackage setting 'Attributes form' to Text Edit Default value using $area and apply default value on update.

I get following result for different field types and for different versions

Int and Int64 gives failure

Version3.3 2aef195527

If the field is an Int it gives NULL

If the field is decimal it gives eg. 5838,240008868463

If the field is an Int64 it gives 5838240008868463 same numbers but no decimal or round

Version 3.2 9b176802e5

If the field is an Int it gives 5838240008868463 same numbers but no decimal or round

If the field is decimal it gives eg. 5838,240008868463

If the field is an Int64 it gives NULL

When setting the Attributes form

Int64 and Decimal start as Text Edit and Int as Range

History

#1 - 2018-10-08 10:34 AM - Giovanni Manghi

- Status changed from Open to Feedback

For me on linux an Int64 returns null.

Why this was tagged a regression, works fine on 2.18?

#2 - 2018-10-08 04:26 PM - Lene Fischer

- Status changed from Feedback to Open

Regression from 3.2 to 3.3 sorry If I have misunderstood that ...

#3 - 2018-10-09 11:10 AM - Giovanni Manghi

- Category changed from Edit widget to Forms
Lene Fischer wrote:

Regression from 3.2 to 3.3 sorry If I have misunderstood that ...

Hi Lene,

that is correct, is a regression. When is the case indicating since what version regressed helps us find the exact moment (in code) when the regression

happened.

Anyway here on master (linux) if the field is an Int64 it gives NULL, so no difference with 3.2 (still a bug anyway).

#4 - 2018-10-09 11:44 AM - Alessandro Pasotti

- File area.gif added

I cannot reproduce on current master (or I didn't understand how to)

#5 - 2018-10-23 08:36 AM - Loïc BARTOLETTI

- Status changed from Open to Feedback

What are:

- the CRS

- the ellipsoid

Also, what are the area from measurement tools or postgis/spatialite st_area functions?

Can you send the geometry and maybe the project?

#6 - 2018-12-28 11:29 AM - Paolo Cavallini

Please give us feedback or close this issue. Thanks.

#7 - 2019-01-14 11:48 PM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

area.gif 3.99 MB 2018-10-09 Alessandro Pasotti
